﻿
/* Title: CasConsoleDemo  
   Author: Matteo Slaviero 
   This work is absolutely free to use, copy, modify or redistribute for any purpose in any country. */

using System;
using System.Reflection;
using System.Security.Policy;
using APTCACasAssemblyInfo;

namespace APTCACasConsoleDemo
{
   
    class Program
    {

        /// <summary>
        /// Entry point
        /// </summary>
        /// <param name="args"></param>
        static void Main(string[] args)
        {
            //get the info from the unhosted environment
            InfoFromUnhosted();
            Console.ReadKey();
        }

        /// <summary>
        /// Get the info from unhosted environment
        /// </summary>
        public static void InfoFromUnhosted()
        {
            //get the assembly zone evidence
            Zone z = Assembly.GetExecutingAssembly().Evidence.GetHostEvidence<Zone>();
            Console.WriteLine("Zone Evidence: " + z.SecurityZone.ToString() + "\n");

            Console.WriteLine(new AssemblyInfo().GetCasSecurityAttributes());
        }
    }
}
